List all snapshots for a VPS
curl --request GET \
--url https://api.storiza.store/vps/{vpsId}/snapshots \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vpsId}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vpsId}/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "VPS snapshots retrieved successfully",
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Backup #1",
"description": "Example backup",
"status": "pending",
"statusText": "Pending",
"isExpired": false,
"vps": {
"id": "00000000-0000-4000-8000-000000000000"
},
"sizeMB": 10240,
"size": {
"mb": 10240,
"gb": 10
},
"createdAt": "2026-10-09T14:57:34.014Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}Server snapshots
List all snapshots for a VPS
Lists the snapshots of a VPS owned by the current user. Supports pagination, search (name, description) and sorting.
Required API key permission: vps:read
GET
/
vps
/
{vpsId}
/
snapshots
List all snapshots for a VPS
curl --request GET \
--url https://api.storiza.store/vps/{vpsId}/snapshots \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.storiza.store/vps/{vpsId}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vpsId}/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "VPS snapshots retrieved successfully",
"data": [
{
"id": "00000000-0000-4000-8000-000000000000",
"name": "Backup #1",
"description": "Example backup",
"status": "pending",
"statusText": "Pending",
"isExpired": false,
"vps": {
"id": "00000000-0000-4000-8000-000000000000"
},
"sizeMB": 10240,
"size": {
"mb": 10240,
"gb": 10
},
"createdAt": "2026-10-09T14:57:34.014Z"
}
],
"pagination": {
"page": 2,
"limit": 2,
"offset": 1,
"total": 1,
"totalPages": 2
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Minimum string length:
1Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 250Was this page helpful?